/* PSFPController */

#import <Cocoa/Cocoa.h>
#import "PSFPlayer.h"
#import "PSFPConverter.h"

@interface PSFPController : NSObject
{
    IBOutlet id playListTable;
	IBOutlet id mainWindow;
	IBOutlet id playingTime;
	IBOutlet id statusText;
	IBOutlet id currentFile;
	IBOutlet id playButton;
	IBOutlet id stopButton;
	IBOutlet id convertMenu;
	IBOutlet id prefPane;
	IBOutlet id fixedOutputDir;
	IBOutlet id setOutputDirButton;
	IBOutlet id dupRadio;
	IBOutlet id outputRadio;
	IBOutlet id autoSaveFlag;
	IBOutlet id skipButton;
	IBOutlet id reverseButton;
	IBOutlet id subdirectoryDepth;
	IBOutlet id depthStepper;
	IBOutlet id unlimitedCheck;
	IBOutlet id opacitySlider;
	IBOutlet id texturedCheck;
	IBOutlet id windowLevelPopup;
	PSFPlayer *player;
	PSFPConverter *converter;
    NSMutableArray *playListArray;
	NSMutableArray *playListStatusArray;
	NSMutableArray *playListConvertArray;
	NSMutableArray *playListCheckBoxArray;
	NSString *playingFile;
	BOOL nowPlaying;
	BOOL nowConverting;
	BOOL launched;
}
- (IBAction)play:(id)sender;
- (IBAction)stop:(id)sender;
- (IBAction)onDoubleClick:(id)sender;
- (IBAction)convert:(id)sender;
- (IBAction)prefCancel:(id)sender;
- (IBAction)prefOK:(id)sender;
- (IBAction)showPref:(id)sender;
- (IBAction)enableOutputDir:(id)sender;
- (IBAction)setOutputDir:(id)sender;
- (IBAction)skip:(id)sender;
- (IBAction)reverse:(id)sender;
- (IBAction)toggleUnlimited:(id)sender;
- (IBAction)setWindowOpacity:(id)sender;
- (IBAction)toggleWindowAppearance:(id)sender;
- (IBAction)setWindowLevel:(id)sender;
- (void)convertDone:(NSString *)doneFile;
- (void)convertComplete:(NSString *)doneFile;
- (void)clearStatus;
- (void)convertTerminated;
- (void)savePrefs;
- (void)loadPrefs;
- (void)playFileAtIndex:(int)index;
- (void)playDone;
- (void)removeSelectedFile:(id)table;
- (int)appendFile:(NSArray *)files atIndex: (int)index recursion: (int)r;
- (void)setPlayTime:(NSString *) time;
@end
